Delete time-off record
POST /api/delete_ee_time_off
Deletes an existing time-off record for one staff, using the time-off record ID. The time-off record will be marked as deleted.
Request
Body parameters
ee_time_off_id integer Required
The unique Marco identifier for the time-off record.
customer_id integer Required
The staff's unique identifier in your company's system.
Example: 50
Example Requests
Example
import requests
url = "https://api.marcopayroll.com/api:benKoCK8/api/delete_ee_time_off"
payload={
"ee_time_off_id": "1111"
"customer_id": "99",
}
headers = {
"accept": "application/json",
"Authorization": "YOUR_AUTH_TOKEN"
}
response = requests.post(url, headers=headers, data=payload)
print(response.text)
Response
message string
The endpoint response status.
Valid values: Delete Successfully, Please confirm the ee_time_off_id, Permission Denied